Retrieve contact
Use this method to retrieve details about a contact.
To retrieve a contact, you need its contactId. Our gateway returned the contactId in the [Create Processing Account](https://docs.payroc.com/api/schema/boarding/merchant-platforms/create-processing-account) method.
**Note:** If you don't have the contactId, use the [List Contacts](https://docs.payroc.com/api/schema/boarding/processing-accounts/list-contacts) method to search for the contact.
Our gateway returns the following information about a contact:
- Name and contact method, including their phone number or mobile number.
- Role within the business, for example, if they are a manager.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
contactId
Unique identifier for the contact.
Response
Successful request. Returns the requested contact.
type
Type of contact.
Allowed values:
firstName
Contact's first name.
lastName
Contact's last name.
identifiers
Array of identifier objects.
contactMethods
Array of polymorphic objects, which contain contact information.
**Note:** If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number.
The value of the type parameter determines which variant you should use:
- `email` - Email address
- `phone` - Phone number
- `mobile` - Mobile number
- `fax` - Fax number
contactId
Unique identifier of the contact.
middleName
Contact's middle name.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error